
        macro   SYSCALL routineid
        RST 30h
        db  routineid
        endm

        macro   SET_BORDER I,R,G,B
        ld a,I*128 + G*32 + R*8 + B*2
        out (0),a
        endm

TVC_PORTPALETTEBASE equ 60h      
        macro   SET_PALETTE n,I,R,G,B
        ld a,I*64 + G*16 + R*4 + B
        out (TVC_PORTPALETTEBASE+n),a
        endm

; Memory paging values for Port02
;; Page0 (LAP0)
P0SYS   equ 000h
P0CART  equ 008h
P0U0    equ 010h
P0U3    equ 018h
;; Page1 (LAP1)
P1U1    equ 000h
P1VID   equ 004h ; 64k+ only
;; Page2 (LAP2)
P2VID   equ 000h
P2U2    equ 020h
;; Page3 (LAP3)
P3CART  equ 000h
P3SYS   equ 040h
P3U3    equ 080h
P3IOEXT equ 0c0h
